Xeonr Developer Docs

Create OAuth client on behalf of another user

POST
/uplim.api.v1.IntegrationAdminService/AdminCreateClientForUser

Admin-only: provisions a non-app-scoped OAuth client owned by the specified user.

Authorization

OAuth2 upl:private
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:private

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

targetUserId?string

Target user URN to create the client for.

Length1 <= length
name?string
Length1 <= length <= 64
websiteUrl?string|null
Lengthlength <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/AdminCreateClientForUser" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "clientId": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}